Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.datatypes
Interface XSDAtomicType

All Superinterfaces:
  AtomicDatatype, Datatype

All Known Implementing Classes:
  BaseXSDAtomicType, XSDDate, XSDDateTime, XSDDay, XSDDecimal, XSDDouble, XSDDuration, XSDFloat, XSDInteger, XSDMonth, XSDMonthDay, XSDTime, XSDYear, XSDYearMonth

    public interface XSDAtomicType

extends AtomicDatatype

Author:
  Evren Sirin

Method Summary
`XSDAtomicType` | `deriveByRestriction(int facet, java.lang.Object value)`
`XSDAtomicType` | `restrictFractionDigits(int digits)`
`XSDAtomicType` | `restrictMax(boolean inclusive, java.lang.Object value)`
`XSDAtomicType` | `restrictMaxExclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictMaxInclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictMin(boolean inclusive, java.lang.Object value)`
`XSDAtomicType` | `restrictMinExclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictMinInclusive(java.lang.Object value)`
`XSDAtomicType` | `restrictPattern(java.lang.String pattern)`
`XSDAtomicType` | `restrictTotalDigits(int digits)`

Methods inherited from interface org.mindswap.pellet.datatypes.AtomicDatatype
`difference, enumeration, getPrimitiveType, intersection, not, union`

Methods inherited from interface org.mindswap.pellet.datatypes.Datatype
`contains, contains, getName, getURI, getValue, getValue, isEmpty, singleton, size`

Method Detail

### deriveByRestriction

    XSDAtomicType deriveByRestriction(int facet,
                                      java.lang.Object value)

### restrictMin

    XSDAtomicType restrictMin(boolean inclusive,
                              java.lang.Object value)

### restrictMinInclusive

    XSDAtomicType restrictMinInclusive(java.lang.Object value)

### restrictMinExclusive

    XSDAtomicType restrictMinExclusive(java.lang.Object value)

### restrictMax

    XSDAtomicType restrictMax(boolean inclusive,
                              java.lang.Object value)

### restrictMaxInclusive

    XSDAtomicType restrictMaxInclusive(java.lang.Object value)

### restrictMaxExclusive

    XSDAtomicType restrictMaxExclusive(java.lang.Object value)

### restrictTotalDigits

    XSDAtomicType restrictTotalDigits(int digits)

### restrictFractionDigits

    XSDAtomicType restrictFractionDigits(int digits)

### restrictPattern

    XSDAtomicType restrictPattern(java.lang.String pattern)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.